IntelliJ Platform SDK DevGuide

Edit page

Incompatible Changes in IntelliJ Platform and Plugins API

IntelliJ API may be occasionally changed between releases leading to incompatibilities of existing plugins with newer IDE builds.

Compatibility with newer IDEs can easily be verified for plugins hosted on the JetBrains plugin repository using the builtin Plugin Verifier.

The following pages list the breaking changes in IDE releases with required/recommended steps to take by plugin authors.

Last modified: 12 April 2019